Get Contact by Company Id
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| company_id | string |
Required |
Body Parameters :
None.
Response Information
Resource Description :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "929dd77a-cb50-49af-b346-4cb82763939d",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "2537593e-62a8-417c-9baa-423c73b44666",
"company_code": "sample string 5",
"company": {
"id": "93a7d3e5-8980-40be-a342-163ec0ae851e",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-31T13:16:28.238897+00:00",
"sales_territory_id": "d7edfb32-d42e-43b1-9e9f-da463ac7f2a1",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "c82c7a92-7ea0-4d41-a4a1-609d21b45dd7",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "5599899d-1674-4a26-9abc-a0e3ff20aac9",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "3cbaf387-448f-4227-92f0-9cd9ad96e6be",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "e236961b-d953-4477-ba98-96d3926cf962",
"db_currency_id": "6782975d-de28-4ac6-9a96-e80474d8e4df",
"db_language_id": "d0ec8c48-95a2-455c-a51e-8d6888a5168f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-31T13:16:28.238897+00:00"
},
"modified_dateutc": "2026-10-31T13:16:28.238897+00:00"
},
"marketing_segment_id": "4f5ac5ad-7a23-44a8-873d-10ac292867da",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "0d62ac11-21d7-4e45-93d5-5729c50089e2",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "04aa25c2-e747-4661-8da5-10117a6f8831",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "18200c1e-57d1-49ea-a29d-ac9a4cd13df0",
"db_country_code": "sample string 28",
"feelist_id": "3f7eadde-ad14-46dc-9758-d082119614b2",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "aafed2db-6fd0-4bac-897f-acf2689a52fd",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "7801e298-e58c-48e0-a0e3-97e12b83da9e",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-31T13:16:28.238897+00:00",
"db_currency_id": "85f3dbfb-b079-46b4-9156-814fe394530f",
"db_currency_code": "sample string 10"
},
"company_type_id": "0a703665-e2e3-43e1-8200-9f0bf88468db",
"company_type_name": "sample string 32",
"company_type": {
"id": "6a5ec86d-aa2f-48d4-bb91-dee03f168332",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "10732133-17c3-40cc-bb52-ee0f20c08b4f",
"sales_organization_code": "sample string 5"
},
"db_language_id": "a2614096-27b5-45e8-a04e-d05abacb4910",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "51557209-bb3a-446b-b5a9-611736ca918e",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "a449bde7-ee88-462c-8012-02da19afb948",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "a234ebe5-2820-4423-8828-7381124e6ee5",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-31T13:16:28.238897+00:00"
},
"company_sector_id": "93371177-ff44-4e2a-bbcd-107f660a3f80",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "91fa2706-46a3-4116-8305-2d978458c646",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "012ad7d0-e464-4128-851a-f54f593841d4",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "f541ac61-245c-4644-a314-c254f8910f4d",
"account_manager_user_code": "sample string 56",
"company_status_id": "3e4bf217-e126-4889-a272-8b45c27fa720",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-31T13:16:28.2589262+00:00",
"id2": 60
},
"db_language_id": "97eb1617-0356-4367-9823-0858f5a8b838",
"db_language_code": "sample string 7",
"db_title_id": "0e5a35dc-519c-4f36-94c5-967d439d2d57",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-31T13:16:28.2589262+00:00",
"create_date": "2026-10-31T13:16:28.2589262+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-31T13:16:28.2589262+00:00"
}